> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-mac-address.md).

# MAC Address (MACAddressGenerator)

The [MAC Address](/app/generation/generators/generator-reference/mac-address.md) generator generates a string that is formatted as a MAC address.

## Link object structure <a href="#generator-api-mac-address-link-object" id="generator-api-mac-address-link-object"></a>

The MAC Address generator does not support linking. It can be self-consistent, but not consistent with another column. You cannot configure differential privacy.

The `metadata` object is populated from the [`MacAddressMetadata`](https://app.tonic.ai/apidocs/index.html#/models/MacAddressMetadata) object. `bytesPreserved` specifies the number of bytes to preserve in the generated address.

```json
{
  "schema": "string",
  "table": "string",
  "column": "string",
  "path": "string",  //JSON fields only
  "dataType": "string",  //MongoDB, Amazon DynamoDB, and JSON fields only
  "metadata": {
    "presetId": "string",
    "generatorId": "MACAddressGenerator",
    "bytesPreserved": integer,
    "isConsistent": boolean,
    "encryptionProcessor": "x-on", //To use configured Structural data encryption
    "customValueProcessor": "string"  //If custom value processor applied
  }
}
```

## Example replacement <a href="#generator-api-mac-address-replacement" id="generator-api-mac-address-replacement"></a>

In the following example replacement for the MAC Address generator, the generated values preserve 4 bytes.

Consistency is disabled.

```json
{
  "name": "mac-address",
  "schema": "public"
  "table": "servers",
  "links": [
    {
      "schema": "public",
      "table": "servers",
      "column": "mac-address",
      "metadata": {
        "presetId": "MACAddressGenerator",
        "generatorId": "MACAddressGenerator",
        "bytesPreserved": 4,
        "isConsistent": false
      }
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-mac-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
